Skip to main content
POST
Add Session Resource
Every request requires ?beta=true.

Authorizations

X-Api-Key
string
header
default:sk-ant-local-default
required

OMA workspace API key.

Headers

anthropic-version
string
anthropic-beta
string

Path Parameters

session_id
string
required

Path parameter session_id

Query Parameters

beta
enum<boolean>
required

Selects the beta API contract for this endpoint. Must be true.

Available options:
true

Body

application/json

Request parameters for adding a resource to a session.

type
enum<string>
required
Available options:
file
Example:

"file"

file_id
string
required

ID of a previously uploaded file.

Required string length: 1 - 128
Example:

"file_011CNha8iCJcU1wXNR6q4V8w"

mount_path
string | null

Mount path in the container. Defaults to /mnt/session/uploads/<file_id>.

Required string length: 1 - 4096
Example:

"/uploads/receipt.pdf"

Response

Successful response (OK)

The added session resource.

type
enum<string>
required
Available options:
file
Example:

"file"

id
string
required
Example:

"sesrsc_011CZkZBJq5dWxk9fVLNcPht"

file_id
string
required
Example:

"file_011CNha8iCJcU1wXNR6q4V8w"

mount_path
string
required
Example:

"/uploads/receipt.pdf"

created_at
string<date-time>
required

A timestamp in RFC 3339 format

Example:

"2026-03-15T10:00:00Z"

updated_at
string<date-time>
required

A timestamp in RFC 3339 format

Example:

"2026-03-15T10:00:00Z"